// Author: Juan Carlos De Abreu (jcabreur@gmail.com)

#include "control.h"
#include "../Includes/OpenGL.h"

BEGIN_TEG_NAMESPACE();
BEGIN_NAMESPACE(gui);

Control::Control()
    : x_(0),
      y_(0),
      width_(0),
      height_(0),
      is_visible_(true),
      is_pressed_(false) {}

Control::Control(int x, int y, int width, int height)
    : x_(x),
      y_(y),
      width_(width),
      height_(height),
      is_visible_(true),
      is_pressed_(false) {}

Control::~Control() {}

END_NAMESPACE(gui);
END_TEG_NAMESPACE();
